# Interface INoResultsEventArgs

## Index

### Properties

- query
- queryBuilder
- results
- retryTheQuery
- searchAsYouType

## Properties

### query

query: IQuery

- Defined in events/QueryEvents.ts :195

### queryBuilder

queryBuilder: QueryBuilder

- Defined in events/QueryEvents.ts :191

### results

results: IQueryResults

- Defined in events/QueryEvents.ts :199

### retryTheQuery

retryTheQuery: boolean

- Defined in events/QueryEvents.ts :207

### searchAsYouType

searchAsYouType: boolean

- Defined in events/QueryEvents.ts :203

### Hierarchy

- INoResultsEventArgs